Package org.kapott.hbci.dialog

# Enum HBCIDialogEnd.Flag

java.lang.Object
java.lang.Enum<HBCIDialogEnd.Flag>
org.kapott.hbci.dialog.HBCIDialogEnd.Flag

All Implemented Interfaces:
  `Serializable`, `Comparable<HBCIDialogEnd.Flag>`, `java.lang.constant.Constable`

Enclosing class:
  HBCIDialogEnd

public static enum HBCIDialogEnd.Flag extends Enum<HBCIDialogEnd.Flag>
Parametrisierende Flags fuer das Dialog-Ende.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEPT_ERROR`
Fehler werden nicht geworfen sondern nur geloggt.
`SIG_ID`
Dialogende fuer Sync-SigID.

## Method Summary

Modifier and Type
Method
Description
`static HBCIDialogEnd.Flag`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HBCIDialogEnd.Flag[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SIG_ID

public static final HBCIDialogEnd.Flag SIG_ID
Dialogende fuer Sync-SigID.

### ACCEPT_ERROR

public static final HBCIDialogEnd.Flag ACCEPT_ERROR
Fehler werden nicht geworfen sondern nur geloggt. Muss nur explizit angegeben werden, wenn es kein anonymer Dialog ist oder das Werfen per "client.errors.ignoreDialogEndErrors" abgeschaltet ist.

## Method Details

### values

public static HBCIDialogEnd.Flag[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static HBCIDialogEnd.Flag valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null